Skip to main content
POST
/
forms
/
{id}
/
chat
/
{conversationId}
/
messages
Send Message
curl --request POST \
  --url https://geniusforms.ai/api/v1/forms/{id}/chat/{conversationId}/messages \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "message": "What are the most common responses?"
}
'
{
  "userMessage": {
    "id": 1,
    "role": "assistant",
    "message": "Based on the 42 responses, the most common feedback theme is...",
    "createdAt": "2023-11-07T05:31:56Z"
  },
  "assistantMessage": {
    "id": 1,
    "role": "assistant",
    "message": "Based on the 42 responses, the most common feedback theme is...",
    "createdAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

X-API-Key
string
header
required

API key obtained from your GeniusForms dashboard

Path Parameters

id
integer
required

Form ID

conversationId
integer
required

Conversation ID

Body

application/json
message
string
required
Maximum string length: 5000
Example:

"What are the most common responses?"

Response

Message sent and AI response received

userMessage
object
assistantMessage
object